Commit 5991809c authored by Ricki Hirner's avatar Ricki Hirner 🐑

Update ical4j and other dependencies

parent 18585c9d
Pipeline #85435928 failed with stages
in 4 minutes and 20 seconds
buildscript {
ext.versions = [
kotlin: '1.3.41',
kotlin: '1.3.50',
dokka: '0.9.18',
ical4j: '2.2.5'
ical4j: '2.2.6'
]
repositories {
......@@ -12,7 +12,7 @@ buildscript {
}
dependencies {
classpath 'com.android.tools.build:gradle:3.4.2'
classpath 'com.android.tools.build:gradle:3.5.0'
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:${versions.kotlin}"
classpath "org.jetbrains.dokka:dokka-android-gradle-plugin:${versions.dokka}"
}
......@@ -28,12 +28,12 @@ apply plugin: 'kotlin-android'
apply plugin: 'org.jetbrains.dokka-android'
android {
compileSdkVersion 28
compileSdkVersion 29
buildToolsVersion '29.0.1'
defaultConfig {
minSdkVersion 19
targetSdkVersion 28
targetSdkVersion 29
testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
......@@ -59,7 +59,7 @@ dependencies {
api "org.mnode.ical4j:ical4j:${versions.ical4j}"
implementation 'org.slf4j:slf4j-jdk14:1.7.26'
implementation 'androidx.core:core-ktx:1.0.2'
implementation 'androidx.core:core-ktx:1.1.0'
androidTestImplementation 'androidx.test:core:1.2.0'
androidTestImplementation 'androidx.test:runner:1.2.0'
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment